#pragma once
#include <vector>

#include "Button.h"
#include "structs.h"
#include "Texture.h"
#include "../TextureManager.h"

class Screen
{
public:
	Screen() = default;
	Screen(const std::string& filePath, Vector2f pos, Vector2f size, TextureManager* manager);

	virtual ~Screen();

	void AddButton(Button* button) { m_Buttons.push_back(button); }

	virtual void Update(float elapsedSecs);
	virtual void Draw() const;
private:
	Vector2f m_Position;
	Vector2f m_Size;

	Texture* m_Background{ nullptr };

	std::vector<Button*> m_Buttons;
};
